import { DoCheck, ElementRef, OnChanges, Renderer2, SimpleChanges, OnInit, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { InputDirective } from '../../input.directive';
import * as i0 from "@angular/core";
export declare class EuiInputCheckboxComponent extends InputDirective implements OnInit, DoCheck, OnChanges, ControlValueAccessor {
    protected ngControl: NgControl;
    protected _elementRef: ElementRef<HTMLInputElement>;
    protected _renderer: Renderer2;
    private _cd;
    get cssClasses(): any;
    get isInvalid(): any;
    set isInvalid(state: any);
    protected _isInvalid: boolean;
    label: string;
    protected _labelRef: HTMLLabelElement;
    styleClass: string;
    protected type: string;
    get checked(): boolean;
    set checked(value: boolean);
    protected _checked: boolean;
    get id(): string;
    set id(value: string | null);
    protected _id: string;
    private _hasLabel;
    constructor(ngControl: NgControl, _elementRef: ElementRef<HTMLInputElement>, _renderer: Renderer2, _cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngDoCheck(): void;
    ngOnChanges(changes: SimpleChanges): void;
    writeValue(obj: boolean): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    protected onChanged(checked: any): void;
    protected onChange: (_: any) => void;
    protected onBlur: (_: any) => void;
    protected setInvalid(state?: any): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiInputCheckboxComponent, [{ optional: true; self: true; }, null, null, null]>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiInputCheckboxComponent, "input[euiInputCheckBox]", never, { "isInvalid": "isInvalid"; "label": "label"; "styleClass": "styleClass"; "checked": "checked"; "id": "id"; }, {}, never, never>;
}
